<?php

use App\Kernel;

require_once dirname(__DIR__).'/vendor/autoload_runtime.php';

// Optimisations pour éviter les timeouts
ini_set('max_execution_time', 300);
ini_set('memory_limit', '1024M');
set_time_limit(300);

return function (array $context) {
    return new Kernel($context['APP_ENV'], (bool) $context['APP_DEBUG']);
};
